Delete an upload
DELETE
/upload/files/{id}Deletes a specific uploaded file
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, UploadsApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new UploadsApi(config);
const result = await api.deleteUpload({ "id": 123});console.log(result);curl --request DELETE \ "https://api.testcollab.io/upload/files/123?token=$TESTCOLLAB_TOKEN"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id |
path | number | Yes | Upload ID |
Response
Section titled “Response”200 — Upload deleted
{}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden |